/*     */
package com.fjs.scenic.cyt.request;
/*     */ 
/*     */

import javax.xml.bind.annotation.XmlAccessType;
/*     */ import javax.xml.bind.annotation.XmlAccessorType;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlType;

/*     */
/*     */
@XmlAccessorType(XmlAccessType.FIELD)
/*     */
@XmlType(name = "PayOrderRequestBody", propOrder = {"orderInfo"})
/*     */ public class PayOrderRequestBody extends RequestBody
/*     */ {
    /*     */
/*     */
    @XmlElement(required = true)
/*     */ protected OrderInfo orderInfo;

    /*     */
/*     */
    public PayOrderRequestBody()
/*     */ {
/*  63 */
        this.orderInfo = new OrderInfo();
/*     */
    }

    /*     */
/*     */
    public OrderInfo getOrderInfo()
/*     */ {
/*  75 */
        return this.orderInfo;
/*     */
    }

    /*     */
/*     */
    public void setOrderInfo(OrderInfo value)
/*     */ {
/*  87 */
        this.orderInfo = value;
/*     */
    }

    /*     */
/*     */
    @XmlAccessorType(XmlAccessType.FIELD)
/*     */
    @XmlType(name = "", propOrder = {"partnerOrderId", "orderStatus", "orderPrice", "substocktimes"})
/*     */ public static class OrderInfo
/*     */ {
        /*     */
/*     */
        @XmlElement(required = true)
/*     */ protected String partnerOrderId;
        /*     */
/*     */
        @XmlElement(required = true)
/*     */ protected String orderStatus;
        /*     */
/*     */
        @XmlElement(required = true)
/*     */ protected String orderPrice;

        /*     */
        @XmlElement(required = false)
/*     */ protected String substocktimes;
/*     */

        public String getSubstocktimes() {
            return substocktimes;
        }

        public void setSubstocktimes(String substocktimes) {
            this.substocktimes = substocktimes;
        }

        /*     */
        public OrderInfo()
/*     */ {
/* 129 */
            this.partnerOrderId = "";
/* 130 */
            this.orderStatus = "";
/* 131 */
            this.orderPrice = "";
/* 131 */
            this.substocktimes = "";
/*     */
        }

        /*     */
/*     */
        public String getPartnerOrderId()
/*     */ {
/* 143 */
            return this.partnerOrderId;
/*     */
        }

        /*     */
/*     */
        public void setPartnerOrderId(String value)
/*     */ {
/* 155 */
            this.partnerOrderId = value;
/*     */
        }

        /*     */
/*     */
        public String getOrderStatus()
/*     */ {
/* 167 */
            return this.orderStatus;
/*     */
        }

        /*     */
/*     */
        public void setOrderStatus(String value)
/*     */ {
/* 179 */
            this.orderStatus = value;
/*     */
        }

        /*     */
/*     */
        public String getOrderPrice()
/*     */ {
/* 191 */
            return this.orderPrice;
/*     */
        }

        /*     */
/*     */
        public void setOrderPrice(String value)
/*     */ {
/* 203 */
            this.orderPrice = value;
/*     */
        }
/*     */
    }
/*     */
}

/* Location:           G:\work\apache-tomcat-7\webapps\ROOT\WEB-INF\lib\open-api-1.0.0.jar
 * Qualified Name:     com.ectrip.b2b.openapi.model.schema.ectripota.request.PayOrderRequestBody
 * JD-Core Version:    0.6.2
 */